<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE AppModule SYSTEM "jbo_03_01.dtd">

<AppModule
   Name="SRService"
   ComponentClass="oracle.srdemo.model.SRServiceImpl"
   ComponentInterface="oracle.srdemo.model.common.SRService"
   ClientProxyName="oracle.srdemo.model.client.SRServiceClient" >
   <Properties>
      <Property Name ="DATA_CONTROL_NAME" Value ="SRService" />
   </Properties>
   <Data>
      <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
      <Property Name ="ID" Value ="3fd194bc-010a-1000-8068-8d9088295bcf::::ApplicationModule" />
      <Property Name ="IS_ABSTRACT" Value ="FALSE" />
      <Property Name ="IS_ACTIVE" Value ="FALSE" />
      <Property Name ="IS_LEAF" Value ="FALSE" />
      <Property Name ="IS_ROOT" Value ="TRUE" />
      <Property Name ="VISIBILITY" Value ="PUBLIC" />
   </Data>
   <DesignTime>
      <Attr Name="_isCodegen" Value="true" />
      <Attr Name="_version" Value="10.1.3.36.73" />
      <Attr Name="_deployType" Value="0" />
      <Attr Name="_superClassName" Value="oracle.srdemo.model.frameworkExt.SRApplicationModuleImpl" />
   </DesignTime>
   <ViewUsage
      Name="ProductList"
      ViewObjectName="oracle.srdemo.model.queries.ProductList" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-8069-8d9088295bcf::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewUsage
      Name="Globals"
      ViewObjectName="oracle.srdemo.model.queries.Globals" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-806a-8d9088295bcf::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewUsage
      Name="ServiceRequests"
      ViewObjectName="oracle.srdemo.model.queries.ServiceRequests" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-806c-8d9088295bcf::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewUsage
      Name="StaffList"
      ViewObjectName="oracle.srdemo.model.queries.StaffList" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-806d-8d9088295bcf::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewUsage
      Name="ServiceHistories"
      ViewObjectName="oracle.srdemo.model.queries.ServiceHistories" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-806e-8d9088295bcf::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewUsage
      Name="ServiceRequestStatusList"
      ViewObjectName="oracle.srdemo.model.queries.ServiceRequestStatusList" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-806f-8d9088295bcf::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewUsage
      Name="StaffWithOpenRequests"
      ViewObjectName="oracle.srdemo.model.queries.StaffWithOpenRequests" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-8070-8d9088295bcf::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewUsage
      Name="ExpertiseAreas"
      ViewObjectName="oracle.srdemo.model.queries.ExpertiseAreas" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-8071-8d9088295bcf::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewUsage
      Name="OpenOrPendingServiceRequests"
      ViewObjectName="oracle.srdemo.model.queries.OpenOrPendingServiceRequests" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-8072-8d9088295bcf::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewUsage
      Name="ServiceHistoriesForRequest"
      ViewObjectName="oracle.srdemo.model.queries.ServiceHistories" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-8073-8d9088295bcf::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewUsage
      Name="StaffExpertiseAreas"
      ViewObjectName="oracle.srdemo.model.queries.ExpertiseAreas" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-8074-8d9088295bcf::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewUsage
      Name="LoggedInUser"
      ViewObjectName="oracle.srdemo.model.queries.LoggedInUser" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-8075-8d9088295bcf::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewUsage
      Name="ServiceRequestsByStatus"
      ViewObjectName="oracle.srdemo.model.queries.ServiceRequestsByStatus" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="45085f5c-010a-1000-800e-8d90887867b1::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewUsage
      Name="SearchServiceRequests"
      ViewObjectName="oracle.srdemo.model.queries.ServiceRequests" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="45085f66-010a-1000-800f-8d90887867b1::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewUsage
      Name="StaffListByEmailNameRole"
      ViewObjectName="oracle.srdemo.model.queries.StaffListByEmailNameRole" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="459364e5-010a-1000-8025-8d90887867b1::::ViewObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="TRUE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
   </ViewUsage>
   <ViewLinkUsage
      Name="ServiceHistoriesForServiceRequest1"
      ViewLinkObjectName="oracle.srdemo.model.queries.viewlinks.ServiceHistoriesForServiceRequest"
      SrcViewUsageName="oracle.srdemo.model.SRService.ServiceRequests"
      DstViewUsageName="oracle.srdemo.model.SRService.ServiceHistories" >
      <Data>
         <Property Name ="DST_END_ID" Value ="83394489-010a-1000-8055-8d908096e458::model.SRService.ServiceHistoriesForServiceRequest1::ViewLinkEndInstance" />
         <Property Name ="DST_END_NAME" Value ="Detail" />
         <Property Name ="DST_END_SEQUENCE" Value ="10" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-8079-8d9088295bcf::::ViewLinkInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="FALSE" />
         <Property Name ="SRC_END_ID" Value ="8339447f-010a-1000-8053-8d908096e458::model.SRService.ServiceHistoriesForServiceRequest1::ViewLinkEndInstance" />
         <Property Name ="SRC_END_NAME" Value ="Master" />
         <Property Name ="SRC_END_SEQUENCE" Value ="0" />
      </Data>
      <DesignTime>
         <Attr Name="_isCodegen" Value="true" />
         <Attr Name="_version" Value="10.1.3.36.73" />
      </DesignTime>
   </ViewLinkUsage>
   <ViewLinkUsage
      Name="ExpertiseAreasForStaffWithOpenRequests1"
      ViewLinkObjectName="oracle.srdemo.model.queries.viewlinks.ExpertiseAreasForStaffWithOpenRequests"
      SrcViewUsageName="oracle.srdemo.model.SRService.StaffWithOpenRequests"
      DstViewUsageName="oracle.srdemo.model.SRService.ExpertiseAreas" >
      <Data>
         <Property Name ="DST_END_ID" Value ="83394489-010a-1000-8058-8d908096e458::model.SRService.ExpertiseAreasForStaffWithOpenRequests1::ViewLinkEndInstance" />
         <Property Name ="DST_END_NAME" Value ="Detail" />
         <Property Name ="DST_END_SEQUENCE" Value ="10" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-807c-8d9088295bcf::::ViewLinkInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="FALSE" />
         <Property Name ="SRC_END_ID" Value ="83394489-010a-1000-8057-8d908096e458::model.SRService.ExpertiseAreasForStaffWithOpenRequests1::ViewLinkEndInstance" />
         <Property Name ="SRC_END_NAME" Value ="Master" />
         <Property Name ="SRC_END_SEQUENCE" Value ="0" />
      </Data>
      <DesignTime>
         <Attr Name="_isCodegen" Value="true" />
         <Attr Name="_version" Value="10.1.3.36.73" />
      </DesignTime>
   </ViewLinkUsage>
   <ViewLinkUsage
      Name="OpenOrPendingRequestAssignedToStaffMember1"
      ViewLinkObjectName="oracle.srdemo.model.queries.viewlinks.OpenOrPendingRequestAssignedToStaffMember"
      SrcViewUsageName="oracle.srdemo.model.SRService.StaffWithOpenRequests"
      DstViewUsageName="oracle.srdemo.model.SRService.OpenOrPendingServiceRequests" >
      <Data>
         <Property Name ="DST_END_ID" Value ="83394489-010a-1000-805b-8d908096e458::model.SRService.OpenOrPendingRequestAssignedToStaffMember1::ViewLinkEndInstance" />
         <Property Name ="DST_END_NAME" Value ="Detail" />
         <Property Name ="DST_END_SEQUENCE" Value ="10" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-807f-8d9088295bcf::::ViewLinkInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="FALSE" />
         <Property Name ="SRC_END_ID" Value ="83394489-010a-1000-805a-8d908096e458::model.SRService.OpenOrPendingRequestAssignedToStaffMember1::ViewLinkEndInstance" />
         <Property Name ="SRC_END_NAME" Value ="Master" />
         <Property Name ="SRC_END_SEQUENCE" Value ="0" />
      </Data>
      <DesignTime>
         <Attr Name="_isCodegen" Value="true" />
         <Attr Name="_version" Value="10.1.3.36.73" />
      </DesignTime>
   </ViewLinkUsage>
   <ViewLinkUsage
      Name="ServiceHistoriesForOpenRequests1"
      ViewLinkObjectName="oracle.srdemo.model.queries.viewlinks.ServiceHistoriesForOpenRequests"
      SrcViewUsageName="oracle.srdemo.model.SRService.OpenOrPendingServiceRequests"
      DstViewUsageName="oracle.srdemo.model.SRService.ServiceHistoriesForRequest" >
      <Data>
         <Property Name ="DST_END_ID" Value ="83394489-010a-1000-805e-8d908096e458::model.SRService.ServiceHistoriesForOpenRequests1::ViewLinkEndInstance" />
         <Property Name ="DST_END_NAME" Value ="Detail" />
         <Property Name ="DST_END_SEQUENCE" Value ="10" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-8082-8d9088295bcf::::ViewLinkInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="FALSE" />
         <Property Name ="SRC_END_ID" Value ="83394489-010a-1000-805d-8d908096e458::model.SRService.ServiceHistoriesForOpenRequests1::ViewLinkEndInstance" />
         <Property Name ="SRC_END_NAME" Value ="Master" />
         <Property Name ="SRC_END_SEQUENCE" Value ="0" />
      </Data>
      <DesignTime>
         <Attr Name="_isCodegen" Value="true" />
         <Attr Name="_version" Value="10.1.3.36.73" />
      </DesignTime>
   </ViewLinkUsage>
   <ViewLinkUsage
      Name="ExpertiseAreasForStaffMember1"
      ViewLinkObjectName="oracle.srdemo.model.queries.viewlinks.ExpertiseAreasForStaffMember"
      SrcViewUsageName="oracle.srdemo.model.SRService.StaffList"
      DstViewUsageName="oracle.srdemo.model.SRService.StaffExpertiseAreas" >
      <Data>
         <Property Name ="DST_END_ID" Value ="83394489-010a-1000-8061-8d908096e458::model.SRService.ExpertiseAreasForStaffMember1::ViewLinkEndInstance" />
         <Property Name ="DST_END_NAME" Value ="Detail" />
         <Property Name ="DST_END_SEQUENCE" Value ="10" />
         <Property Name ="ID" Value ="3fd194d0-010a-1000-8085-8d9088295bcf::::ViewLinkInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="FALSE" />
         <Property Name ="SRC_END_ID" Value ="83394489-010a-1000-8060-8d908096e458::model.SRService.ExpertiseAreasForStaffMember1::ViewLinkEndInstance" />
         <Property Name ="SRC_END_NAME" Value ="Master" />
         <Property Name ="SRC_END_SEQUENCE" Value ="0" />
      </Data>
      <DesignTime>
         <Attr Name="_isCodegen" Value="true" />
         <Attr Name="_version" Value="10.1.3.36.73" />
      </DesignTime>
   </ViewLinkUsage>
   <ViewLinkUsage
      Name="RequestsCreatedByOrAssignedToUser1"
      ViewLinkObjectName="oracle.srdemo.model.queries.viewlinks.RequestsCreatedByOrAssignedToUser"
      SrcViewUsageName="oracle.srdemo.model.SRService.LoggedInUser"
      DstViewUsageName="oracle.srdemo.model.SRService.ServiceRequestsByStatus" >
      <Data>
         <Property Name ="DST_END_ID" Value ="83394489-010a-1000-8064-8d908096e458::model.SRService.RequestsCreatedByOrAssignedToUser1::ViewLinkEndInstance" />
         <Property Name ="DST_END_NAME" Value ="Detail" />
         <Property Name ="DST_END_SEQUENCE" Value ="10" />
         <Property Name ="ID" Value ="45085f70-010a-1000-8020-8d90887867b1::::ViewLinkInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="FALSE" />
         <Property Name ="SRC_END_ID" Value ="83394489-010a-1000-8063-8d908096e458::model.SRService.RequestsCreatedByOrAssignedToUser1::ViewLinkEndInstance" />
         <Property Name ="SRC_END_NAME" Value ="Master" />
         <Property Name ="SRC_END_SEQUENCE" Value ="0" />
      </Data>
      <DesignTime>
         <Attr Name="_isCodegen" Value="true" />
         <Attr Name="_version" Value="10.1.3.36.73" />
      </DesignTime>
   </ViewLinkUsage>
</AppModule>
